Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.inference
Interface OWLClassReasoner

All Superinterfaces:
  OWLReasoner

All Known Implementing Classes:
  SimpleOWLReasoner

public interface OWLClassReasoner
extends OWLReasoner

A reasoner that provides reasoning over OWL classes. This includes reasoning about the consistency of class descriptions and subsumption.
A number of operations return boolean results — this raises the issue of completeness. For the time being, assume that if the reasoner is unable to determine, say, the consistency of a class description, then it will throw an exception. This is likely to require a revisit and probable refactoring.

Version:
  $Id: OWLClassReasoner.java,v 1.1.1.1 2003/10/14 17:10:08 sean_bechhofer Exp $

Method Summary
`Set` | `ancestorClassesOf(OWLDescription d)` Returns the collection of all superclasses of the given description.
`Set` | `descendantClassesOf(OWLDescription d)` Returns the collection of all subclasses of the given description.
`Set` | `equivalentClassesOf(OWLDescription d)` Returns the collection of (named) classes which are equivalent to the given description.
`boolean` | `isConsistent(OWLDescription d1)` Returns true if the description is consistent (i.e. if it is possible for there to exist models in which the extension of the class is non-empty.
`boolean` | `isEquivalentClass(OWLDescription d1, OWLDescription d2)` Returns true if d1 is equivalent to d2.
`boolean` | `isSubClassOf(OWLDescription d1, OWLDescription d2)` Returns true if d1 is a subclass of d2.
`Set` | `subClassesOf(OWLDescription d)` Returns the collection of (named) most general subclasses of the given description.
`Set` | `superClassesOf(OWLDescription d)` Returns the collection of (named) most specific superclasses of the given description.

Methods inherited from interface org.semanticweb.owl.inference.OWLReasoner
`getOntology, setOntology`

Method Detail

### isSubClassOf

    public boolean isSubClassOf(OWLDescription d1,
                                OWLDescription d2)
                         throws OWLException

  Returns true if d1 is a subclass of d2.

    `OWLException`

### isEquivalentClass

    public boolean isEquivalentClass(OWLDescription d1,
                                     OWLDescription d2)
                              throws OWLException

  Returns true if d1 is equivalent to d2.

    `OWLException`

### isConsistent

    public boolean isConsistent(OWLDescription d1)
                         throws OWLException

  Returns true if the description is consistent (i.e. if it is possible for there to exist models in which the extension of the class is non-empty.

    `OWLException`

### superClassesOf

    public Set superClassesOf(OWLDescription d)
                       throws OWLException

  Returns the collection of (named) most specific superclasses of the given description. The result of this will be a set of sets, where each set in the collection represents an equivalence class.

    `OWLException`

### ancestorClassesOf

    public Set ancestorClassesOf(OWLDescription d)
                          throws OWLException

  Returns the collection of all superclasses of the given description. The result of this will be a set of sets, where each set in the collection represents an equivalence class.

    `OWLException`

### subClassesOf

    public Set subClassesOf(OWLDescription d)
                     throws OWLException

  Returns the collection of (named) most general subclasses of the given description. The result of this will be a set of sets, where each set in the collection represents an equivalence class.

    `OWLException`

### descendantClassesOf

    public Set descendantClassesOf(OWLDescription d)
                            throws OWLException

  Returns the collection of all subclasses of the given description. The result of this will be a set of sets, where each set in the collection represents an equivalence class.

    `OWLException`

### equivalentClassesOf

    public Set equivalentClassesOf(OWLDescription d)
                            throws OWLException

  Returns the collection of (named) classes which are equivalent to the given description.

    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb